import { CircularProgress, Grid } from '@material-ui/core';
import React, { useEffect } from 'react';
import useGetNewsList from '../hooks/useGetNewsList';
import News from './News';

interface Props {}

const NewsContainer: React.FC = () => {
  const [{ data, isLoading }, getNews] = useGetNewsList();

  useEffect(() => {
    getNews();
  }, [getNews]);

  return isLoading ? (
    <CircularProgress />
  ) : (
    <Grid container spacing={2}>
      {data
        && data.map((item) => (
          <News
            title={item.title}
            author="Anonymus"
            content={item.text}
            createDate={item.publishedAt}
          />
        ))}
    </Grid>
  );
};

export default NewsContainer;
