import React, { useEffect } from 'react';
import { BrowserRouter as Router } from 'react-router-dom';
import styled from 'styled-components';
import useAddNews from '../hooks/useAddNews';
import Footer from './components/Footer';
import Header from './components/Header';
import MainRouting from './components/MainRouting';

const Container = styled.div`
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
`;

const MainContent = styled.div`
  height: 100%;
`;

function App(): React.ReactElement {
  const [response, addNews] = useAddNews();

  useEffect(() => {
    addNews({ body: { title: 'Testing', text: 'Test Test TEST' } });
  }, [addNews]);

  useEffect(() => {
    if (response.data) {
      console.log(response.data.text);
    }
  }, [response.data]);

  return (
    <Router>
      <Container>
        <Header />
        <MainContent>
          <MainRouting />
        </MainContent>
        <Footer />
      </Container>
    </Router>
  );
}

export default App;
